Page MenuHomePhabricator

eina: add eina_future_all_iterator and eina_promise_all_iterator.
ClosedPublic

Authored by cedric on Jan 24 2020, 11:28 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 24 2020, 11:28 AM
cedric requested review of this revision.Jan 24 2020, 11:28 AM
segfaultxavi requested changes to this revision.Jan 27 2020, 1:46 AM

Some doc comments.

src/lib/eina/eina_promise.h
1378

@p Eina_Iterator -> @p iterator

1381

There is no argument called array?

1577

typo: iiterator

This revision now requires changes to proceed.Jan 27 2020, 1:46 AM
cedric updated this revision to Diff 28637.Jan 29 2020, 10:32 AM

rebase and address comment

segfaultxavi resigned from this revision.Jan 29 2020, 10:39 AM

No more doc comments!

bu5hm4n accepted this revision.Jan 30 2020, 8:43 AM

Sounds like a good idea.

This revision is now accepted and ready to land.Jan 30 2020, 8:43 AM
This revision was automatically updated to reflect the committed changes.